### Method

# Gtk GestureSwipeget_velocity

#### Declaration [src]

    gboolean
    gtk_gesture_swipe_get_velocity (
      GtkGestureSwipe* gesture,
      double* velocity_x,
      double* velocity_y
    )

#### Description [src]

Gets the current velocity.

If the gesture is recognized, this function returns `TRUE` and fills in `velocity_x` and `velocity_y` with the recorded velocity, as per the last events processed.

#### Parameters

`velocity_x`

  Type: `double*`

  Return value for the velocity in the X axis, in pixels/sec.

  The argument will be set by the function.

`velocity_y`

  Type: `double*`

  Return value for the velocity in the Y axis, in pixels/sec.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

Whether velocity could be calculated.